# Generated by Django 4.2.1 on 2023-05-05 17:26

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):
    dependencies = [
        ("common", "0003_alter_commonuser_tenant"),
        ("core", "0008_masterdatacity_remove_zipcode_tenant_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="FullCity",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("uuid", models.UUIDField(default=uuid.uuid4)),
                (
                    "zipcode",
                    models.CharField(
                        blank=True, max_length=10, null=True, verbose_name="ZIP"
                    ),
                ),
                ("name", models.CharField(max_length=100, verbose_name="Name")),
            ],
            options={
                "verbose_name": "City",
                "verbose_name_plural": "Cities",
            },
        ),
        migrations.CreateModel(
            name="MedicationIngredient",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("is_active", models.BooleanField(default=True)),
                (
                    "ingredient_id",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="core.ingredient",
                    ),
                ),
            ],
        ),
        migrations.RenameModel(
            old_name="MedicationForm",
            new_name="MedicationDoseForm",
        ),
        migrations.AlterUniqueTogether(
            name="masterdatacity",
            unique_together=None,
        ),
        migrations.RemoveField(
            model_name="masterdatacity",
            name="country",
        ),
        migrations.AlterModelOptions(
            name="company",
            options={"verbose_name": "Company", "verbose_name_plural": "Companies"},
        ),
        migrations.AlterModelOptions(
            name="country",
            options={"verbose_name": "Country", "verbose_name_plural": "Countries"},
        ),
        migrations.RenameField(
            model_name="medication",
            old_name="form",
            new_name="dose_form",
        ),
        migrations.RemoveField(
            model_name="organization",
            name="uuid",
        ),
        migrations.AddField(
            model_name="addresstype",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="addresstype",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4),
        ),
        migrations.AddField(
            model_name="country",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="department",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="devicetype",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="firstname",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="hospital",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="hospital",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4),
        ),
        migrations.AddField(
            model_name="insurancecompany",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="insurancecompany",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4),
        ),
        migrations.AddField(
            model_name="language",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="medication",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="medicationroute",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="medicationterminologysystem",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="physician",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AddField(
            model_name="physician",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4),
        ),
        migrations.AddField(
            model_name="specialty",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AlterField(
            model_name="country",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4),
        ),
        migrations.AlterField(
            model_name="department",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4),
        ),
        migrations.AlterField(
            model_name="devicetype",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4),
        ),
        migrations.AlterField(
            model_name="firstname",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4),
        ),
        migrations.AlterField(
            model_name="language",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4),
        ),
        migrations.AlterField(
            model_name="medication",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4),
        ),
        migrations.AlterField(
            model_name="medicationroute",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4),
        ),
        migrations.AlterField(
            model_name="medicationterminologysystem",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4),
        ),
        migrations.AlterField(
            model_name="specialty",
            name="uuid",
            field=models.UUIDField(default=uuid.uuid4),
        ),
        migrations.DeleteModel(
            name="City",
        ),
        migrations.DeleteModel(
            name="MasterDataCity",
        ),
        migrations.AddField(
            model_name="medicationingredient",
            name="medication_id",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE, to="core.medication"
            ),
        ),
        migrations.AddField(
            model_name="fullcity",
            name="country",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="core.country",
                verbose_name="Country",
            ),
        ),
        migrations.AddField(
            model_name="fullcity",
            name="tenant",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.CASCADE,
                to="common.tenant",
            ),
        ),
        migrations.AlterUniqueTogether(
            name="fullcity",
            unique_together={("country", "zipcode")},
        ),
    ]
